#!/bin/bash

# Afficher les commandes en cours d'exécution
set -x

# Vérifier si nous sommes dans un projet Flutter
if [ ! -f "pubspec.yaml" ]; then
    echo "Erreur: Assurez-vous d'être dans un projet Flutter (pubspec.yaml non trouvé)"
    exit 1
fi

# Nettoyer Flutter et générer le code
flutter pub run build_runner clean
flutter pub run build_runner build --delete-conflicting-outputs
flutter clean

# Nettoyer iOS
cd ios || exit
rm -rf Pods/
rm -rf .symlinks/
rm -f Podfile.lock
pod cache clean --all
rm -rf ~/Library/Developer/Xcode/DerivedData

# Retour au dossier racine et mise à jour des dépendances
cd ..
flutter pub get

# Réinstaller les pods iOS
cd ios || exit
pod deintegrate
pod cache clean --all
pod repo update
pod install

# Retour au dossier racine
cd ..

echo "Nettoyage terminé avec succès!"